Class | Net::IMAP::CramMD5Authenticator
In: | net/imap.rb
Parent: | Object

Authenticator for the "CRAM-MD5" authentication type. See authenticate().

### Methods

new process

### Public Class methods

new(user, password)

[Source]

    # File net/imap.rb, line 3144
          def initialize(user, password)
            @user = user
            @password = password
          end

### Public Instance methods

process(challenge)

[Source]

    # File net/imap.rb, line 3137
          def process(challenge)
            digest = hmac_md5(challenge, @password)
            return @user + " " + digest
          end

[Validate]